Name:		nautilus-python
Summary:        Python bindings for GNOME 2's nautilus
Version:        0.5.2
Release: %mkrel 1
Source:		http://ftp.gnome.org/pub/GNOME/sources/nautilus-python/%{name}-%{version}.tar.bz2
Source1:	nautilus-python-0.5.1-m4.tar.bz2
#gw from Debian, fix wrong python path
Patch1:		50_CVE-2009-0317.patch
URL: http://www.gnome.org
License:        GPLv2+ and LGPLv2+
Group:          Development/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
BuildRequires:  pygtk2.0-devel
BuildRequires:  gnome-python-devel
BuildRequires:  gnome-python-gnomevfs >= 2.12.0
BuildRequires:  python-devel
BuildRequires:  nautilus-devel >= 2.8
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gnome-common
Provides: python-nautilus
Obsoletes: python-nautilus

%description
These are unstable bindings for the nautilus extension library
introduced in Gnome 2.6.

%prep
%setup -q -n %{name}-%{version} -a1
%patch1 -p1
NOCONFIGURE=yes ACLOCAL_FLAGS="-I m4" gnome-autogen.sh


%build
#gw else the gnome_module_load does not work on x86_64
export PYTHON_LIB_LOC=%_libdir
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;
mv %buildroot%_datadir/doc/%name installed-docs

mkdir $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/python

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS installed-docs/*
%{_libdir}/nautilus-python
%{_libdir}/nautilus/extensions-2.0/*
%{_libdir}/pkgconfig/nautilus-python.pc




%changelog
* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 512972
- new version
- drop patches 0,2
- fix build deps

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-5mdv2010.0
+ Revision: 456032
- fix loading of libpython (bug #39416)

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.5.1-4mdv2010.0
+ Revision: 440238
- rebuild

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdv2009.1
+ Revision: 347046
- fix for CVS-2009-0317

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2009.1
+ Revision: 320311
- fix BRs
- BR eel
- rebuild for new python

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 285336
- new version
- drop patch
- fix installation
- fix license

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0-5mdv2009.0
+ Revision: 253611
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - create python extensions dir

* Wed Jan 23 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-3mdv2008.1
+ Revision: 157106
- really fix extensions dir

* Wed Jan 23 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-2mdv2008.1
+ Revision: 157089
- new nautilus extensions dir

* Sun Jan 13 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 151032
- new version
- fix installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 0.4.3-4mdv2008.1
+ Revision: 115623
- fix buildrequires


* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.4.3-3mdv2007.0
+ Revision: 88874
- Import nautilus-python

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.4.3-3mdv2007.1
- Rebuild

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.3-2mdv2007.0
- Rebuild with latest libgail

* Thu Feb 16 2006 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdk
- New release 0.4.2
- use mkrel

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdk
- fix buildrequires

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdk
- rename from python-nautilus
- fix buildrequires
- New release 0.4.1

* Wed Jun 01 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- initial mdk package

* Sat Dec 11 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- initial spec file

